static void Main(string[] args)
{           
    string persistenceConnectionString = ConfigurationManager.ConnectionStrings["WorkflowPersistence"].ConnectionString;

    List<RecrutementDBAccess.process> pList = null;
    using ( RecrutementDBAccess.RecrutementEntites context = new RecrutementDBAccess.RecrutementEntites() )
    {
        pList = context.processes.ToList();                              
    }

    foreach ( var item in pList )
    {
        string xaml = item.pro_xaml;

        string baseAddr = string.Format("http://localhost/Recrutement/{0}", item.pro_nom);

        object process = XamlServices.Parse(xaml);

        WorkflowServiceHost host = new WorkflowServiceHost(process, new Uri(baseAddr));
        
            host.Description.Behaviors.Add(new SqlWorkflowInstanceStoreBehavior(persistenceConnectionString));
            WorkflowIdleBehavior wib = new WorkflowIdleBehavior();
            wib.TimeToUnload = new TimeSpan(0, 0, 2);
            wib.TimeToPersist = new TimeSpan(0, 0, 2);
            host.Description.Behaviors.Add(wib);

            Console.WriteLine("Starting Host for Process {0}...", item.pro_nom);
            host.UnknownMessageReceived += new EventHandler<System.ServiceModel.UnknownMessageReceivedEventArgs>(Program.UnknownMessageReceive);
            host.Open();                    
        
    }

    Console.WriteLine("Press [Enter] to exit");
    Console.ReadLine();               
}

static void UnknownMessageReceive(object sender, System.ServiceModel.UnknownMessageReceivedEventArgs e)
{
    Console.WriteLine("Unknown message - " + e.ToString());
}

